<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="History_Reeport" pageWidth="1600" pageHeight="1000" orientation="Landscape" columnWidth="1560" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="279670f9-ebaa-420a-bf38-0cfc1f30204e">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="470"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="523"/>
	<style name="Table 1_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 1_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 5_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 6_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 7_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 9_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 10_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 2_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 3_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 8_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 11_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 12_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 4_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 4_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Table 4_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
			<topPen lineWidth="0.5" lineColor="#000000"/>
			<leftPen lineWidth="0.5" lineColor="#000000"/>
			<bottomPen lineWidth="0.5" lineColor="#000000"/>
			<rightPen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="stock" uuid="26b06a4f-f2d7-4809-9e3b-eec764549ea9">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
		<parameter name="idProduct" class="java.lang.String"/>
		<parameter name="mfg" class="java.lang.String"/>
		<parameter name="gudang" class="java.lang.String"/>
		<queryString language="plsql">
			<![CDATA[select s.mid, s.code, s.name, s.tgl,  s.awal, s.keluar,
case when s.type in (0,11)   then @saldo := @saldo + s.awal
     when s.type in (4,7,8,10,13) then @saldo := @saldo - s.keluar
end as saldo, s.dari, s.ke, s.keterangan, s.No_Transaction
from (
select m.id as mid,
	m.type as type, 
	p.code as code, 
	p.name as name,
	date(m.created_date) as tgl,
case when m.type in (0,11)   then ia.quantity else 0 end as masuk,
case when m.type in (0,11)   then bl.quantity else 0 end as awal,
case when m.type in (4,7,8,10,13) then ia.quantity else 0 end as keluar,
case when fFrom.name is null then '' else fFrom.name end as dari,
case when m.type in (0,8,9,10,11,13) then fTo.name else '' end as ke,
case when m.type =  0 then 'inventory'
     when m.type =  4 then 'repackaged'
     when m.type =  7 then 'wasted'
     when m.type =  8 then 'sold'
     when m.type = 10 then 'moved'
     when m.type = 13 then 'revert'
     else ''
end as keterangan,
case when m.type in (8,13) then i.invoiceCode
     when m.type = 10 then case when de.code is null then 'pindah gudang' else de.code end
     else ''
end as No_Transaction
from tbinventorymovement m
left join tbinventoryblock bl on m.block = bl.id
left join tbinventoryallocation ia on ia.id = m.allocation
left join tbwarehouselocation lTo on lTo.id = m.to_Location
left join tbwarehousefacility fTo on fTo.id =  lTo.facility
left join tbwarehouselocation lFrom on lFrom.id = m.from_location
left join tbwarehousefacility fFrom on fFrom.id = lFrom.facility
left join tbproduct p on p.id = ia.product
left join tbdispatchallocation da on da.movement = m.id
left join tbdispatch d on d.id = da.dispatch
left join tbinvoice i on i.id = d.invoice
left join tbdespatchallocation dea on dea.movement = m.id
left join tbdespatch de on de.id = dea.despatch
where ia.quantity > 0 and m.type in (0,4,7,8,10,11,13) and p.id = $P{idProduct} and bl.production_code = $P{mfg}
and (fFrom.id = $P{gudang} or fTo.id = $P{gudang})
order by m.created_date ) s]]>
		</queryString>
		<field name="mid" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="mid"/>
			<property name="com.jaspersoft.studio.field.label" value="mid"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinventorymovement"/>
		</field>
		<field name="code" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="code"/>
			<property name="com.jaspersoft.studio.field.label" value="code"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="tgl" class="java.sql.Date">
			<property name="com.jaspersoft.studio.field.name" value="tgl"/>
			<property name="com.jaspersoft.studio.field.label" value="tgl"/>
		</field>
		<field name="awal" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="awal"/>
			<property name="com.jaspersoft.studio.field.label" value="awal"/>
		</field>
		<field name="keluar" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="keluar"/>
			<property name="com.jaspersoft.studio.field.label" value="keluar"/>
		</field>
		<field name="saldo" class="java.lang.Double">
			<property name="com.jaspersoft.studio.field.name" value="saldo"/>
			<property name="com.jaspersoft.studio.field.label" value="saldo"/>
		</field>
		<field name="dari" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="dari"/>
			<property name="com.jaspersoft.studio.field.label" value="dari"/>
		</field>
		<field name="ke" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="ke"/>
			<property name="com.jaspersoft.studio.field.label" value="ke"/>
		</field>
		<field name="keterangan" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="keterangan"/>
			<property name="com.jaspersoft.studio.field.label" value="keterangan"/>
		</field>
		<field name="No_Transaction" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="No_Transaction"/>
			<property name="com.jaspersoft.studio.field.label" value="No_Transaction"/>
		</field>
		<group name="tgl">
			<groupExpression><![CDATA[$F{tgl}]]></groupExpression>
		</group>
		<group name="awal">
			<groupExpression><![CDATA[$F{awal}]]></groupExpression>
		</group>
		<group name="keluar">
			<groupExpression><![CDATA[$F{keluar}]]></groupExpression>
		</group>
		<group name="saldo">
			<groupExpression><![CDATA[$F{saldo}]]></groupExpression>
		</group>
		<group name="dari">
			<groupExpression><![CDATA[$F{dari}]]></groupExpression>
		</group>
		<group name="ke">
			<groupExpression><![CDATA[$F{ke}]]></groupExpression>
		</group>
		<group name="keterangan">
			<groupExpression><![CDATA[$F{keterangan}]]></groupExpression>
		</group>
		<group name="No_Transaction">
			<groupExpression><![CDATA[$F{No_Transaction}]]></groupExpression>
		</group>
	</subDataset>
	<parameter name="mfg" class="java.lang.String"/>
	<parameter name="idProduct" class="java.lang.String"/>
	<parameter name="gudang" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT 
tbproduct.code AS code_product,
tbproduct.name AS nama_produt				

FROM tbproduct where id = $P{idProduct}]]>
	</queryString>
	<field name="code_product" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code_product"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="nama_produt" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="nama_produt"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="104" splitType="Stretch">
			<textField>
				<reportElement x="100" y="26" width="100" height="18" uuid="8a2980ca-8ebe-4461-9d9f-f1b449d08b47"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{code_product}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="24" width="100" height="19" uuid="a07af66b-e8ac-4166-920b-407abead1c03"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Kode Produk]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="43" width="100" height="19" uuid="68df9209-0ba5-4a3b-b2d6-00ca4b769959"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Nama Produk]]></text>
			</staticText>
			<textField>
				<reportElement x="100" y="44" width="420" height="18" uuid="d0d07715-d365-4822-8457-51114e6969e9"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_produt}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="62" width="100" height="19" uuid="f54a356b-a2fe-40fd-b188-8af1babddd04"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Mfg]]></text>
			</staticText>
			<textField>
				<reportElement x="100" y="62" width="420" height="18" uuid="b67e0bd9-e975-4a27-aaed-ab75facdd39e"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{mfg}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="500" y="0" width="490" height="30" uuid="d07c8fbc-a74f-40ee-bf4e-25ab5b3a661d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["BUKU STOCK PRODUK"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="30" splitType="Stretch">
			<componentElement>
				<reportElement x="0" y="0" width="1370" height="30" uuid="147b07d8-fb5c-43a8-b5ee-a5b3c071dc4d">
					<property name="com.jaspersoft.studio.layout" value="com.jaspersoft.studio.editor.layout.VerticalRowLayout"/>
					<property name="com.jaspersoft.studio.table.style.table_header" value="Table 4_TH"/>
					<property name="com.jaspersoft.studio.table.style.column_header" value="Table 4_CH"/>
					<property name="com.jaspersoft.studio.table.style.detail" value="Table 4_TD"/>
				</reportElement>
				<jr:table xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
					<datasetRun subDataset="stock" uuid="c4855185-a17e-4293-95b0-fd7063d082e7">
						<datasetParameter name="idProduct">
							<datasetParameterExpression><![CDATA[$P{idProduct}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="mfg">
							<datasetParameterExpression><![CDATA[$P{mfg}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="gudang">
							<datasetParameterExpression><![CDATA[$P{gudang}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:column width="120" uuid="37427c04-19dd-4965-937c-af42398e4fd9">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column1"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="120" height="30" uuid="f3534d8d-ad48-4ba8-a04a-66ca56329e08"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Tgl]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField pattern="MMMM d, yyyy">
								<reportElement x="0" y="0" width="120" height="30" uuid="db941269-a22f-4377-813c-2ac4ac378097"/>
								<box leftPadding="2"/>
								<textElement verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{tgl}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="85" uuid="befba81d-2952-494f-9514-b4c55f6d1686">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column2"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="85" height="30" uuid="02d52c90-43c2-43cf-82d8-5a6228a2af03"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Masuk]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="85" height="30" uuid="a613843a-1256-4975-8e7c-eaa6103fcf7f"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{awal}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="80" uuid="ec167c05-4f1f-4ccb-bd94-eb02aeca5f42">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column3"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="80" height="30" uuid="1edcfa26-ed3c-4b5a-8dd7-1564b8246d2c"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Keluar]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="80" height="30" uuid="aa10c4c9-1b0c-48d1-a78a-ee0156664f06"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{keluar}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="260" uuid="a120a367-d474-4c2c-a08e-a265c7c13c28">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column4"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="260" height="30" uuid="2318a785-2dba-4967-8c7a-3f351867fa00"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Dari]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="260" height="30" uuid="35aec57c-0854-41b8-84aa-a865e897d212"/>
								<box leftPadding="3"/>
								<textElement verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{dari}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="235" uuid="6826b19d-c8ec-4359-ace4-f0f8838fce59">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column5"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="235" height="30" uuid="251f1046-4695-4946-a78e-f9b35e4fca98"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Ke]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="235" height="30" uuid="810f231a-7b9a-4e3c-a8c8-c8756a0f93c5"/>
								<box leftPadding="3"/>
								<textElement verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{ke}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="260" uuid="8b8c448e-b756-48cf-b47b-87f199bc762b">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column6"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="260" height="30" uuid="cd46553e-4a92-4ddd-86f1-585a29e79b6e"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[Keterangan]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="260" height="30" uuid="d0bd5b76-ccf7-4b3e-9ba0-c3d8d170004d"/>
								<box leftPadding="2"/>
								<textElement verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{keterangan}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="270" uuid="42117a17-a4c0-46b7-bd11-95184e860fb2">
						<property name="com.jaspersoft.studio.components.table.model.column.name" value="Column7"/>
						<jr:tableHeader style="Table 4_TH" height="30" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="270" height="30" uuid="9c1111c7-1e41-4593-85aa-7a9c57704b6e"/>
								<textElement textAlignment="Center" verticalAlignment="Middle"/>
								<text><![CDATA[No Transaksi]]></text>
							</staticText>
						</jr:tableHeader>
						<jr:detailCell style="Table 4_TD" height="30">
							<textField>
								<reportElement x="0" y="0" width="270" height="30" uuid="2ea77ef1-fc89-445c-bbc7-65d7574573bd"/>
								<box leftPadding="2"/>
								<textElement verticalAlignment="Middle"/>
								<textFieldExpression><![CDATA[$F{No_Transaction}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
				</jr:table>
			</componentElement>
		</band>
	</detail>
</jasperReport>
